package com.fs.qw.service;

import com.alibaba.fastjson.JSONObject;
import com.fs.his.vo.OptionsVO;
import com.fs.qw.domain.QwInformation;

import java.util.List;
import java.util.Map;

/**
 * 信息流管理Service接口
 *
 * @author fs
 * @date 2024-11-11
 */
public interface IQwInformationService
{
    /**
     * 查询信息流管理
     *
     * @param id 信息流管理主键
     * @return 信息流管理
     */
    public QwInformation selectQwInformationById(Long id);

    /**
     * 查询信息流管理列表
     *
     * @param qwInformation 信息流管理
     * @return 信息流管理集合
     */
    public List<QwInformation> selectQwInformationList(QwInformation qwInformation);

    /**
     * 新增信息流管理
     *
     * @param qwInformation 信息流管理
     * @return 结果
     */
    public int insertQwInformation(QwInformation qwInformation);

    /**
     * 修改信息流管理
     *
     * @param qwInformation 信息流管理
     * @return 结果
     */
    public int updateQwInformation(QwInformation qwInformation);

    /**
     * 批量删除信息流管理
     *
     * @param ids 需要删除的信息流管理主键集合
     * @return 结果
     */
    public int deleteQwInformationByIds(Long[] ids);

    /**
     * 删除信息流管理信息
     *
     * @param id 信息流管理主键
     * @return 结果
     */
    public int deleteQwInformationById(Long id);

    List<JSONObject> selectQwWayStatisticsCounts(Map<String, Object> map);

    List<OptionsVO> selectQwInformationListOptionsVO();

}
